typeset -g HISTFILE=~/.histfile
typeset -g CACHEPATH=/tmp
typeset -g HISTSIZE=1000
typeset -g SAVEHIST=1000
typeset -g ZLE_RPROMPT_INDENT=0
setopt appendhistory autocd extendedglob nomatch notify hist_ignore_all_dups hist_ignore_space nobeep

if [[ $_set_prompt == "p9k" ]]; then
	source ${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme
	source ${ZDOTDIR}/powerlevel-config/all.zsh
else
	export TERM="xterm";
	autoload -Uz promptinit
	promptinit
	prompt clint
fi

source ${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
typeset -g ZSH_HIGHLIGHT_HIGHLIGHTERS=(
	main
	brackets
	pattern
	cursor
)

source ${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh
typeset -g ZSH_AUTOSUGGEST_STRATEGY=(history completion)
typeset -g ZSH_AUTOSUGGEST_USE_ASYNC=true
